summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSamuli Suominen <ssuominen@gentoo.org>2012-03-21 08:19:22 +0000
committerSamuli Suominen <ssuominen@gentoo.org>2012-03-21 08:19:22 +0000
commit40dd21bb0069562ce0ff691d89dade3113ac19c2 (patch)
tree36d1b18b9886f90cc8d1b98be795cff063518938 /eclass/autotools.eclass
parentVersion bump, fixes ASA-2012-03-01 (diff)
downloadhistorical-40dd21bb0069562ce0ff691d89dade3113ac19c2.tar.gz
historical-40dd21bb0069562ce0ff691d89dade3113ac19c2.tar.bz2
historical-40dd21bb0069562ce0ff691d89dade3113ac19c2.zip
Fix automake depend atom to not force downgrade from 1.11.2 or 1.11.2 to 1.11.1 wrt #409083
Diffstat (limited to 'eclass/autotools.eclass')
-rw-r--r--eclass/autotools.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/autotools.eclass b/eclass/autotools.eclass
index c502ab7e9b48..e84474c07f28 100644
--- a/eclass/autotools.eclass
+++ b/eclass/autotools.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.125 2012/03/21 03:27:47 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools.eclass,v 1.126 2012/03/21 08:19:22 ssuominen Exp $
# @ECLASS: autotools.eclass
# @MAINTAINER:
@@ -52,7 +52,7 @@ if [[ -n ${WANT_AUTOMAKE} ]]; then
none) _automake_atom="" ;; # some packages don't require automake at all
# if you change the "latest" version here, change also autotools_run_tool
# this MUST reflect the latest stable major version for each arch!
- latest) _automake_atom="|| ( `printf '=sys-devel/automake-%s* ' ${_LATEST_AUTOMAKE[@]/%:*}` )" ;;
+ latest) _automake_atom="|| ( `printf '>=sys-devel/automake-%s ' ${_LATEST_AUTOMAKE[@]/%:*}` )" ;;
*) _automake_atom="=sys-devel/automake-${WANT_AUTOMAKE}*" ;;
esac
export WANT_AUTOMAKE